## org.gjt.sp.jedit
Class Marker

    java.lang.Object
      org.gjt.sp.jedit.Marker

    public class Marker

extends java.lang.Object

Buffers may contain one or more markers which serve as textual bookmarks.

A `Marker` has three key attributes: the `Buffer` to which it relates, the line number to which the marker refers, and an optional shortcut character. The shortcut identifies the the key that can be pressed with the Markers>Go To Marker command.

Method Summary
`int` `getPosition()` Returns the position of this marker.
`char` `getShortcut()` Returns the marker's shortcut character.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getShortcut

    public char getShortcut()

  Returns the marker's shortcut character.

  Since:
    jEdit 3.2pre1

### getPosition

    public int getPosition()

  Returns the position of this marker.

  Since:
    jEdit 3.2pre1